package org.artifactory.addon.xray;

import org.artifactory.addon.Addon;
import org.artifactory.api.repo.Async;
import org.artifactory.descriptor.repo.XrayDescriptor;
import org.jfrog.build.api.Build;

import java.util.List;

/**
 * @author Chen Keinan
 */
public interface XrayAddon extends Addon {

    String ARTIFACTORY_XRAY_USER = "xray";

    boolean createXrayConfig(XrayDescriptor xrayDescriptor);

    boolean isXrayConfigExist();

    boolean isXrayEnabled();

    XrayDescriptor getXrayConfig();

    String createXrayUser(String xrayUser);

    void removeConfig();

    void deleteXrayUser(String xrayUser);

    void setXrayEnabledOnRepos(List<XrayRepo> repos, boolean enabled);

    List<XrayRepo> getXrayIndexedAndNonIndexed(boolean indexed);

    void callBuildInterceptor(Build build);

    @Async
    void indexRepos(List<String> repos);

}
