import EVENTS from '../../../../constants/artifacts_events.constants';
import TOOLTIP from '../../../../constants/artifact_tooltip.constant';

export class AdminConfigurationRegisterController{

    constructor(RegisterProDao, JFrogEventBus, User, $state, ArtifactoryModelSaver) {
        this.registerProDao = RegisterProDao;
        this.$state = $state;
        this.JFrogEventBus = JFrogEventBus;
        this.User=User;
        this.TOOLTIP = TOOLTIP.admin.configuration.registerPro;
        this.ArtifactoryModelSaver = ArtifactoryModelSaver.createInstance(this, ['registerDetails']);
        this.getData();
    }

    save(registerDetails) {
        this.registerProDao.update(registerDetails).$promise.then( (data)=> {
            // Refresh the home page footer with the new license details
            this.JFrogEventBus.dispatch(EVENTS.FOOTER_REFRESH);
            this.User.loadUser(true);
        this.ArtifactoryModelSaver.save();
            if (data.status === 200) this.$state.go('home');
        });
    }

    getData() {
        if(!this.User.currentUser.isProWithoutLicense()) {
            this.registerProDao.get().$promise.then((data)=>{
                this.registerDetails = data;
            this.ArtifactoryModelSaver.save();
            });
        }
    }

    reset() {
        this.ArtifactoryModelSaver.ask().then(() => {
            this.getData();
        });

    }

}