/*
 *
 * Artifactory is a binaries repository manager.
 * Copyright (C) 2016 JFrog Ltd.
 *
 * Artifactory is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 * Artifactory is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with Artifactory.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package org.artifactory.ui.rest.model.artifacts.browse.treebrowser.tabs.blackduck;

import org.artifactory.addon.blackduck.BlackDuckVulnerabilities;
import org.artifactory.addon.blackduck.BlackduckInfo;
import org.artifactory.addon.blackduck.LicensePair;
import org.artifactory.rest.common.model.RestModel;
import org.artifactory.ui.rest.model.artifacts.browse.treebrowser.tabs.BaseArtifactInfo;

import java.util.List;

/**
 * @author Chen Keinan
 */
public class BlackDuckArtifactInfo extends BaseArtifactInfo implements RestModel {

    public BlackDuckArtifactInfo() {
    }

    private String componentId;
    private String origComponentId;
    private BlackduckInfo info;
    private List<LicensePair> license;
    private List<BlackDuckVulnerabilities> vulnerabilities;

    public BlackduckInfo getInfo() {
        return info;
    }

    public void setInfo(BlackduckInfo info) {
        this.info = info;
    }

    public List<LicensePair> getLicense() {
        return license;
    }

    public void setLicense(List<LicensePair> license) {
        this.license = license;
    }

    public List<BlackDuckVulnerabilities> getVulnerabilities() {
        return vulnerabilities;
    }

    public void setVulnerabilities(List<BlackDuckVulnerabilities> vulnerabilities) {
        this.vulnerabilities = vulnerabilities;
    }

    public String getComponentId() {
        return componentId;
    }

    public void setComponentId(String componentId) {
        this.componentId = componentId;
    }

    public String getOrigComponentId() {
        return origComponentId;
    }

    public void setOrigComponentId(String origComponentId) {
        this.origComponentId = origComponentId;
    }
}
