/*
 *
 * Artifactory is a binaries repository manager.
 * Copyright (C) 2016 JFrog Ltd.
 *
 * Artifactory is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 * Artifactory is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with Artifactory.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package org.artifactory.ui.rest.model.artifacts.browse.treebrowser.tabs.permission;

import org.artifactory.rest.common.model.RestModel;
import org.artifactory.rest.common.model.RestPaging;
import org.artifactory.ui.rest.model.artifacts.browse.treebrowser.tabs.BaseArtifactInfo;

/**
 * @author Chen Keinan
 */
public class EffectivePermissionsArtifactInfo extends BaseArtifactInfo implements RestModel, RestPaging {
    private String principal;
    private String type;
    private EffectivePermission permission;

    public EffectivePermissionsArtifactInfo() {
    }

    public EffectivePermissionsArtifactInfo(String type, String principalName, EffectivePermission permission) {
        this.permission = permission;
        this.type = type;
        this.principal = principalName;
    }

    public String getPrincipal() {
        return principal;
    }

    public void setPrincipal(String principal) {
        this.principal = principal;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public EffectivePermission getPermission() {
        return permission;
    }

    public void setPermission(EffectivePermission permission) {
        this.permission = permission;
    }
}
