/*
 *
 * Artifactory is a binaries repository manager.
 * Copyright (C) 2016 JFrog Ltd.
 *
 * Artifactory is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 * Artifactory is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with Artifactory.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package org.artifactory.ui.rest.model.setmeup;

import com.google.common.collect.Sets;
import org.apache.commons.lang.StringUtils;
import org.artifactory.rest.common.model.BaseModel;

import java.util.ArrayList;
import java.util.List;
import java.util.Set;

/**
 * @author chen keinan
 */
public class IvySettingModel extends BaseModel {

    private Set<String> libsRepository = Sets.newTreeSet((o1, o2) ->
            StringUtils.containsIgnoreCase(o1, "release") && !StringUtils.containsIgnoreCase(o1, "plugin") ? -1 : 1);
    private List<String> libsRepositoryLayout = new ArrayList<>();
    private String libsRepo;
    private String libsRepoLayout;
    private String libsResolverName;
    private Boolean useIbiblioResolver;
    private Boolean m2Compatible;
    private String ivySnippet;
    private String settings;
    private String savedSnippetName;

    public IvySettingModel() {
    }

    public IvySettingModel(String ivySnippet) {
        this.ivySnippet = ivySnippet;
    }

    public IvySettingModel(String settings, String savedSnippetName) {
        this.settings = settings;
        this.savedSnippetName = savedSnippetName;
    }

    public Set<String> getLibsRepository() {
        return libsRepository;
    }

    public void setLibsRepository(Set<String> libsRepository) {
        this.libsRepository = libsRepository;
    }

    public List<String> getLibsRepositoryLayout() {
        return libsRepositoryLayout;
    }

    public void setLibsRepositoryLayout(List<String> libsRepositoryLayout) {
        this.libsRepositoryLayout = libsRepositoryLayout;
    }

    public String getLibsRepo() {
        return libsRepo;
    }

    public void setLibsRepo(String libsRepo) {
        this.libsRepo = libsRepo;
    }

    public String getLibsRepoLayout() {
        return libsRepoLayout;
    }

    public void setLibsRepoLayout(String libsRepoLayout) {
        this.libsRepoLayout = libsRepoLayout;
    }

    public String getLibsResolverName() {
        return libsResolverName;
    }

    public void setLibsResolverName(String libsResolverName) {
        this.libsResolverName = libsResolverName;
    }

    public Boolean getUseIbiblioResolver() {
        return useIbiblioResolver;
    }

    public void setUseIbiblioResolver(Boolean useIbiblioResolver) {
        this.useIbiblioResolver = useIbiblioResolver;
    }

    public Boolean getM2Compatible() {
        return m2Compatible;
    }

    public void setM2Compatible(Boolean m2Compatible) {
        this.m2Compatible = m2Compatible;
    }

    public String getIvySnippet() {
        return ivySnippet;
    }

    public void setIvySnippet(String ivySnippet) {
        this.ivySnippet = ivySnippet;
    }

    public String getSettings() {
        return settings;
    }

    public void setSettings(String settings) {
        this.settings = settings;
    }

    public String getSavedSnippetName() {
        return savedSnippetName;
    }

    public void setSavedSnippetName(String savedSnippetName) {
        this.savedSnippetName = savedSnippetName;
    }

    public void clearProps() {
        libsRepository = null;
        libsRepositoryLayout = null;
    }
}
